Summary: symbolic debugger for C and other languages
Name: gdb
Version: 4.17.0.4
Release: 3
Copyright: GPL
Group: Development/Debuggers
Source: ftp://prep.ai.mit.edu:/pub/gdb/gdb-4.17.tar.gz
Patch0: gdb-19980528-jbj.patch
Patch1: ftp://ftp.yggdrasil.com/private/hjl/gdb-4.17-4.17.0.4.diff.gz
Patch2: gdb-4.17-debug-threads.patch.gz
Buildroot: /var/tmp/gdb-root
Prereq: /sbin/install-info
Summary(de): symbolischer Debugger fr C und andere Sprachen 
Summary(fr): Dbugger symbolique pour C et d'autres langages
Summary(tr): C ve dier diller iin sembolik hata ayklayc

%description
This is a full featured, command driven debugger. It allows you to
trace the exectuion of programs and examine their internal state
at any time. It works for C and C++ compiled with the GNU C compiler
gcc.

%description -l de
dem Sie die Ausfhrung von Programmen verfolgen und jederzeit den 
inneren Zustand berprfen knnen. Er funktioniert fr C und mit 
GNU C kompiliertes C++. 

%description -l fr
Dbugger complet, pilot par commandes. Permet de tracer l'excution
des programmes et d'examiner  tout moment leur tat interne. Fonctionne
avec les binaires C et C++ compils avec le compilateur C de GNU, gcc.

%description -l tr
Bir komut arayz zerinden programcya programn adm adm izleme (trace)
ve herhangi bir anda programn durumunu inceleme olana verir.

%prep
%setup -q -n gdb-4.17
%ifarch sparc
%patch0 -p1 -b .jbj
%endif

%patch1 -p2 -b .hjl

# XXX can't debug threads on sparc yet
%ifarch i386 alpha
%patch2 -p1 -b .debug_threads
%endif


%build
OS=`echo ${RPM_OS} | tr '[A-Z]' '[a-z]'`
CC=egcs CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr ${RPM_ARCH}-redhat-${OS}
make
make info

%install
rm -rf $RPM_BUILD_ROOT

make install install-info prefix=$RPM_BUILD_ROOT/usr

( cd $RPM_BUILD_ROOT
  rm -f ./usr/info/dir ./usr/info/dir.info*
  rm -f ./usr/info/bfd*
  rm -f ./usr/info/readline*  ./usr/info/history*
  rm -f ./usr/info/standard*
  rm -f ./usr/bin/{texindex,texi2dvi,makeinfo,install-info,info}
  rm -f ./usr/info/texinfo* ./usr/info/info*
  gzip -9nf ./usr/info/*info*
  strip ./usr/bin/*
  rm -rf ./usr/include ./usr/lib ./usr/share
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
install-info /usr/info/gdb.info.gz /usr/info/dir
install-info /usr/info/gdbint.info.gz /usr/info/dir
install-info /usr/info/mmalloc.info.gz /usr/info/dir
install-info /usr/info/stabs.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    install-info --delete /usr/info/gdb.info.gz /usr/info/dir
    install-info --delete /usr/info/gdbint.info.gz /usr/info/dir
    install-info --delete /usr/info/mmalloc.info.gz /usr/info/dir
    install-info --delete /usr/info/stabs.info.gz /usr/info/dir
fi

%files
%defattr(-,root,root)
/usr/bin/*
/usr/man/*/*
/usr/info/*info*

%changelog
* Fri Oct  9 1998 Jeff Johnson <jbj@redhat.com>
- dump the 2nd gdb tarball.

* Mon Aug 24 1998 Jeff Johnson <jbj@redhat.com>
- disable thread debugging on sparc for now

* Wed Aug 19 1998 Christopher Blizzard <blizzard@appliedtheory.com>
- Integrate Philip Gladstone's patch for find_solib problems.

* Wed Aug 19 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.17.0.4.

* Tue Jun 22 1998 Christopher Blizzard <blizzard@appliedtheory.com>
- Add patch to debug threads.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 4.17

* Wed Oct 08 1997 Erik Troan <ewt@redhat.com>
- updated to use a buildroot
- uses install-info

* Tue Aug 19 1997 Erik Troan <ewt@redhat.com>
- turned off mmalloc() support, which seems to annoy glibc (resulting in
  a quick core dump inside of getcwd())

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
